Appearance
Stored only in your browser. Get one under Tokens.
Create a new device token, used for authenticate as device
POST
/devices/tokens
Pantahub base offers a built in basic factory story in the sense that we offer the ability to auto assing devices to a specific owner.
For that right now we use a simple token based approach:
- Owner uses
/devices/tokens/end point to create a new token; optionally he can also provide a set of default user-meta information that the auto assign feature will put in place for every device joinig using such token. - Token is a one-time-visible secret that will only be displayed on reply of the token registration, but not afterwards. If user looses a token he can generate a new one. Old token can stay active if user does not believe the token has been compromised
- User configures device at factory to use the produced token as its pantahub registration credential. Pantavisor will then use the token when registering itself for first time. It uses
Pantahub-Devices-Auto-Token-V1to pass the token to pantahub when registering itself. With this pantahub will auto assign the device to the owner of the given token and will put UserMeta in place.
Authorizations
ApiKeyAuth
Type
API Key (header: Authorization)
Responses
OK
application/json
JSON "default-user-meta": { "additionalProperties": "string" }, "disabled": true, "id": "string", "nick": "string", "ovmode": { "mode": "string", "root_of_trust": "string", "status": "string" }, "owner": "string", "prn": "string", "time-created": "string", "time-modified": "string", "token": "string", "token-sha": [ 0 ]
{
}